using System;
using System.Threading.Tasks;
using UIKit;
using Foundation;
using Syncfusion.SfChart.iOS;

namespace MyChartApp
{
	public partial class ViewController : UIViewController
	{

		protected ViewController(IntPtr handle) : base(handle)
		{
			// Note: this .ctor should not contain any initialization logic.
		}

		public override void ViewDidLoad()
		{
			base.ViewDidLoad();

			// Initialize chart
			SFChart chart = new SFChart();
			ChartDataSource dataModel = new ChartDataSource();
			chart.DataSource = dataModel as SFChartDataSource;
			chart.Title.Text = new NSString("Products Growth - 2015");
			// Chart Size  
			chart.Frame = new CoreGraphics.CGRect(0, 0, View.Frame.Size.Width, 400);
			// Add chart to Mainscreen
			View.AddSubview(chart);

		}
	}
}
